#include <luna/syscall.h>
#include <sys/syscall.h>
#include <sys/wait.h>

extern "C"
{
    pid_t waitpid(pid_t pid, int* wstatus, int options)
    {
        return __lc_fast_syscall3(SYS_waitpid, pid, wstatus, options);
    }

    pid_t wait(int* wstatus)
    {
        return waitpid(-1, wstatus, 0);
    }
}